org.eclipse.wst.jsdt.core.compiler.libraries

## Class InternetExplorerLibInitializer

- java.lang.Object
- - org.eclipse.wst.jsdt.core.JsGlobalScopeContainerInitializer
  - - org.eclipse.wst.jsdt.core.compiler.libraries.InternetExplorerLibInitializer

All Implemented Interfaces:
  IJsGlobalScopeContainer, IJsGlobalScopeContainerInitializer

    public class InternetExplorerLibInitializer
    extends JsGlobalScopeContainerInitializer
    implements IJsGlobalScopeContainerInitializer

### Field Summary

Fields
`protected static java.lang.String` `CONTAINER_ID`
`protected static java.lang.String` `ContainerDescription`
`protected static java.lang.String` `PLUGIN_ID`

### Fields inherited from class org.eclipse.wst.jsdt.core.JsGlobalScopeContainerInitializer

`ATTRIBUTE_NOT_SUPPORTED, ATTRIBUTE_READ_ONLY`

### Fields inherited from interface org.eclipse.wst.jsdt.core.IJsGlobalScopeContainer

`K_APPLICATION, K_DEFAULT_SYSTEM, K_SYSTEM`

### Constructor Summary

Constructors
Constructor and Description
`InternetExplorerLibInitializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canUpdateJsGlobalScopeContainer(IPath containerPath, IJavaScriptProject project)` Returns `true` if this container initializer can be requested to perform updates on its own container values.
`java.lang.String[]` `containerSuperTypes()` returns a String of all SuperTypes provided by this library.
`java.lang.String` `getDescription()` Answers a readable description of this container
`java.lang.String` `getDescription(IPath containerPath, IJavaScriptProject project)` Returns a readable description for a container path.
`ImageDescriptor` `getImage(IPath containerPath, java.lang.String element, IJavaScriptProject project)`
`int` `getKind()` Answers the kind of this container.
`LibraryLocation` `getLibraryLocation()`
`IPath` `getPath()` Answers the container path identifying this container.

### Methods inherited from class org.eclipse.wst.jsdt.core.JsGlobalScopeContainerInitializer

`allowAttachJsDoc, getAccessRulesStatus, getAttributeStatus, getComparisonID, getContainer, getFailureContainer, getHostPath, getIncludepathEntries, getInferenceID, getSourceAttachmentStatus, initialize, removeFromProject, requestJsGlobalScopeContainerUpdate, resolvedLibraryImport`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.wst.jsdt.core.IJsGlobalScopeContainerInitializer

`allowAttachJsDoc, getComparisonID, getFailureContainer, getHostPath, getInferenceID, initialize, removeFromProject, requestJsGlobalScopeContainerUpdate`

### Field Detail

#### CONTAINER_ID

    protected static final java.lang.String CONTAINER_ID

See Also:
  Constant Field Values

#### ContainerDescription

    protected static final java.lang.String ContainerDescription

See Also:
  Constant Field Values

#### PLUGIN_ID

    protected static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### Constructor Detail

#### InternetExplorerLibInitializer

    public InternetExplorerLibInitializer()

### Method Detail

#### getLibraryLocation

    public LibraryLocation getLibraryLocation()

Specified by:
  `getLibraryLocation` in interface `IJsGlobalScopeContainerInitializer`

#### getDescription

    public java.lang.String getDescription(IPath containerPath,
                                           IJavaScriptProject project)

Description copied from interface: `IJsGlobalScopeContainerInitializer`
Returns a readable description for a container path. A readable description for a container path can be used for improving the display of references to container, without actually needing to resolve them. A good implementation should answer a description consistent with the description of the associated target container (see `IJsGlobalScopeContainer.getDescription()`).

Specified by:
  `getDescription` in interface `IJsGlobalScopeContainerInitializer`
Overrides:
  `getDescription` in class `JsGlobalScopeContainerInitializer`
Parameters:
  `containerPath` - the path of the container which requires a readable description
  `project` - the project from which the container is referenced
Returns:
  a string description of the container

#### getDescription

    public java.lang.String getDescription()

Description copied from interface: `IJsGlobalScopeContainer`
Answers a readable description of this container

Specified by:
  `getDescription` in interface `IJsGlobalScopeContainer`
Overrides:
  `getDescription` in class `JsGlobalScopeContainerInitializer`
Returns:
  String - a string description of the container

#### getImage

    public ImageDescriptor getImage(IPath containerPath,
                                    java.lang.String element,
                                    IJavaScriptProject project)

#### getPath

    public IPath getPath()

Description copied from interface: `IJsGlobalScopeContainer`
Answers the container path identifying this container. A container path is formed by a first ID segment followed with extra segments, which can be used as additional hints for resolving to this container.

The container ID is also used to identify a`JsGlobalScopeContainerInitializer` registered on the extension point "org.eclipse.wst.jsdt.core.JsGlobalScopeContainerInitializer", which can be invoked if needing to resolve the container before it is explicitly set.

Specified by:
  `getPath` in interface `IJsGlobalScopeContainer`
Overrides:
  `getPath` in class `JsGlobalScopeContainerInitializer`
Returns:
  IPath - the container path that is associated with this container

#### getKind

    public int getKind()

Description copied from interface: `IJsGlobalScopeContainer`
Answers the kind of this container. Can be either:

- `K_APPLICATION` if this container maps to an application library
- `K_SYSTEM` if this container maps to a system library
- `K_DEFAULT_SYSTEM` if this container maps to a default system library (library implicitly contributed by the runtime).

Typically, system containers should be placed first on a build path.

Specified by:
  `getKind` in interface `IJsGlobalScopeContainer`
Overrides:
  `getKind` in class `JsGlobalScopeContainerInitializer`
Returns:
  the kind of this container

#### canUpdateJsGlobalScopeContainer

    public boolean canUpdateJsGlobalScopeContainer(IPath containerPath,
                                                   IJavaScriptProject project)

Description copied from interface: `IJsGlobalScopeContainerInitializer`
Returns `true` if this container initializer can be requested to perform updates on its own container values. If so, then an update request will be performed using `JsGlobalScopeContainerInitializer#requestJsGlobalScopeContainerUpdate`/

Specified by:
  `canUpdateJsGlobalScopeContainer` in interface `IJsGlobalScopeContainerInitializer`
Overrides:
  `canUpdateJsGlobalScopeContainer` in class `JsGlobalScopeContainerInitializer`
Parameters:
  `containerPath` - the path of the container which requires to be updated
  `project` - the project for which the container is to be updated
Returns:
  returns `true` if the container can be updated

#### containerSuperTypes

    public java.lang.String[] containerSuperTypes()

Description copied from interface: `IJsGlobalScopeContainerInitializer`
returns a String of all SuperTypes provided by this library.

Specified by:
  `containerSuperTypes` in interface `IJsGlobalScopeContainerInitializer`
Overrides:
  `containerSuperTypes` in class `JsGlobalScopeContainerInitializer`